// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "VNGoToMarkerEventParser.hpp"

using namespace Dawn;

std::vector<std::string> VNGoToMarkerEventParser::getRequiredAttributes() {
  return { "name" };
}

std::map<std::string, std::string> VNGoToMarkerEventParser::getOptionalAttributes() {
  return {};
}

int32_t VNGoToMarkerEventParser::onParse(
  Xml *node,
  std::map<std::string, std::string> values,
  struct VNGoToMarkerEvent *out,
  std::string *error
) {
  out->name = values["name"];
  return 0;
}